Subject: RE: [PATCH v2 2/2] Teach git version --build-options about zlib versions.

From: <[email-masked]>
Date: Wed, 24 Jul 2024 12:33:35 -0400

On July 24, 2024 12:22 PM, Junio C Hamano wrote:
>Randall Becker <[email-masked]> writes:
>
>> What I actually proposed was splitting --build-options with runtime
>> (some representative argument). This would allow the headers used at
>> build time (--build-options) to be reported *and* the runtime
>> (probably) DLL versions (but would also report static linked library
>> versions) to be reported. Both are useful from a support standpoint.
>
>That certainly is a reasonable future plan.
>
>> However, the --build-options argument was intended to report an
>> invariant set of values used during the build, so I would rather not
>> conflate the two distinctly different semantic values.
>
>This reasoning makes sense to me, too.
>
>Please wrap overly long lines to reasonable width, by the way.

Sorry about that. Outlook is a pain in that regard, and different recipients
define different line lengths.

I will do my best in future for git.

--Randall